#file quote.py
"""
Gets a stock quote.
Demonstrates an HTTP API.
"""

import csv      # to use the reader function for reading a CSV file
import os
import requests
import sys      # to use function exit as well as the argv list

# Check for symbol
if len(sys.argv) != 2:
    sys.exit("Usage: python quote.py STOCK-SYMBOL")
symbol = sys.argv[1]

# Get API_KEY
API_KEY = os.getenv("API_KEY")
if not API_KEY:
    sys.exit("Missing API_KEY")

# Get data as a CSV file
url = f"https://www.alphavantage.co/query?apikey={API_KEY}&datatype=csv&function=TIME_SERIES_INTRADAY&interval=5min&symbol={symbol}"
response = requests.get(url)
# print(response.text)
# Parse CSV
reader = csv.DictReader(response.text.splitlines())

# Print most recent price
# row = next(reader)   # first line of the CSV (with header info)
# print (row)
row = next(reader)   # second line of the file
# print(row)
print ("$" + str(row['close']))
